---
stages:
  - preparing
  - analyzing
  - cleanup

 
preparing snapshot:
  stage: preparing
  tags:
    - test
  script:

    - /vagrant/batfish_ci_custom_check/snapshot.sh

anlizing_NTP_configuration:
  stage: analyzing
  tags:
    - test
  script:
    - python3 /vagrant/batfish_ci_custom_check/01_ntp_configured_NTP_servers.py
    - python3 /vagrant/batfish_ci_custom_check/02_ntp_configured_no_NTP.py
    - python3 /vagrant/batfish_ci_custom_check/03_ntp_reference_set_has_configured.py
    - python3 /vagrant/batfish_ci_custom_check/04_ntp_reference_set_has_NOT_configured.py
    - python3 /vagrant/batfish_ci_custom_check/05_ntp_complete_view_extra_and_missing_servers.py
    - python3 /vagrant/batfish_ci_custom_check/06_ntp_match_NTP_Servers_with_per-node_database.py

cleanup:
  stage: cleanup
  tags:
    - test
  script:
    - /vagrant/batfish_ci_custom_check/snapshot_cleanup.sh
